
package com.google.api.ads.adwords.jaxws.v201302.cm;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for BiddingErrors.Reason.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="BiddingErrors.Reason">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="BIDDING_STRATEGY_OVERRIDE_NOT_ALLOWED"/>
 *     &lt;enumeration value="BIDDING_STRATEGY_TRANSITION_NOT_ALLOWED"/>
 *     &lt;enumeration value="PERCENT_CPA_NOT_AVAILABLE_FOR_CUSTOMER"/>
 *     &lt;enumeration value="BIDS_NOT_ALLLOWED"/>
 *     &lt;enumeration value="DUPLICATE_BIDS"/>
 *     &lt;enumeration value="INVALID_BIDDING_SCHEME"/>
 *     &lt;enumeration value="NULL_BID"/>
 *     &lt;enumeration value="INVALID_BID"/>
 *     &lt;enumeration value="BIDDING_STRATEGY_NOT_AVAILABLE_FOR_ACCOUNT_TYPE"/>
 *     &lt;enumeration value="CONVERSION_TRACKING_NOT_ENABLED"/>
 *     &lt;enumeration value="NOT_ENOUGH_CONVERSIONS"/>
 *     &lt;enumeration value="NOT_ENOUGH_CONVERSION_DATA"/>
 *     &lt;enumeration value="CANNOT_CREATE_CAMPAIGN_WITH_CONVERSION_OPTIMIZER"/>
 *     &lt;enumeration value="PAY_PER_CONVERSION_NOT_AVAILABLE_FOR_CUSTOMER"/>
 *     &lt;enumeration value="PAY_PER_CONVERSION_NOT_ALLOWED_WITH_TARGET_CPA"/>
 *     &lt;enumeration value="BIDDING_STRATEGY_NOT_ALLOWED_FOR_SEARCH_ONLY_CAMPAIGNS"/>
 *     &lt;enumeration value="UNKNOWN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "BiddingErrors.Reason")
@XmlEnum
public enum BiddingErrorsReason {


    /**
     * 
     *                 Bidding strategy cannot override adgroup or campaign bidding strategy.
     *               
     * 
     */
    BIDDING_STRATEGY_OVERRIDE_NOT_ALLOWED,

    /**
     * 
     *                 Cannot transition to new bidding strategy.
     *               
     * 
     */
    BIDDING_STRATEGY_TRANSITION_NOT_ALLOWED,

    /**
     * 
     *                 Percent Cpa not available for customer. Only whitelisted customers can use it.
     *               
     * 
     */
    PERCENT_CPA_NOT_AVAILABLE_FOR_CUSTOMER,

    /**
     * 
     *                 No bids may be set. The bid list must be null or empty.
     *               
     * 
     */
    BIDS_NOT_ALLLOWED,

    /**
     * 
     *                 The bid list contains two or more bids of the same type.
     *               
     * 
     */
    DUPLICATE_BIDS,

    /**
     * 
     *                 The bidding scheme does not match the bidding strategy type.
     *               
     * 
     */
    INVALID_BIDDING_SCHEME,

    /**
     * 
     *                 The bid list contains a null entry.
     *               
     * 
     */
    NULL_BID,

    /**
     * 
     *                 The bid is invalid.
     *               
     * 
     */
    INVALID_BID,

    /**
     * 
     *                 Bidding strategy is not available for the account type.
     *               
     * 
     */
    BIDDING_STRATEGY_NOT_AVAILABLE_FOR_ACCOUNT_TYPE,

    /**
     * 
     *                 Conversion tracking is not enabled for the campaign for VBB transition.
     *               
     * 
     */
    CONVERSION_TRACKING_NOT_ENABLED,

    /**
     * 
     *                 Not enough conversions tracked for VBB transitions.
     *               
     * 
     */
    NOT_ENOUGH_CONVERSIONS,

    /**
     * 
     *                 Not enough right kind of data required for conversion or not enough data in last 3 days
     *                 suggesting the campaign is not stable enough to enter into conversion optimizer.
     *               
     * 
     */
    NOT_ENOUGH_CONVERSION_DATA,

    /**
     * 
     *                 Campaign can not be created with Conversion Optimizer bidding strategy. It can be
     *                 transitioned to conversion optimizer, once eligible.
     *               
     * 
     */
    CANNOT_CREATE_CAMPAIGN_WITH_CONVERSION_OPTIMIZER,

    /**
     * 
     *                 Pay per conversion is not available to all the customer, only few whitelisted customers
     *                 can use this.
     *               
     * 
     */
    PAY_PER_CONVERSION_NOT_AVAILABLE_FOR_CUSTOMER,

    /**
     * 
     *                 Pay per conversion is not allowed with Target CPA.
     *               
     * 
     */
    PAY_PER_CONVERSION_NOT_ALLOWED_WITH_TARGET_CPA,

    /**
     * 
     *                 Cannot set bidding strategy to Manual CPM for search network only campaigns.
     *               
     * 
     */
    BIDDING_STRATEGY_NOT_ALLOWED_FOR_SEARCH_ONLY_CAMPAIGNS,
    UNKNOWN;

    public String value() {
        return name();
    }

    public static BiddingErrorsReason fromValue(String v) {
        return valueOf(v);
    }

}
